=== modified file 'olive-gtk'
--- olive-gtk	2007-04-19 21:30:38 +0000
+++ olive-gtk	2007-08-12 16:12:33 +0000
@@ -18,6 +18,7 @@
 
 import os
 import sys
+import re
 
 try:
     version_info = sys.version_info
@@ -75,11 +76,9 @@
         print >>sys.stderr, "bzr not found"
         sys.exit(1)
     else:
-        for i in s.splitlines():
-            if i.startswith("Using bzrlib: "):
-                path = os.path.split(i[14:])[0]
-                sys.path.append(path)
-                break
+        bzrlib_match = re.compile(r"bzrlib: (.*)[/\\]bzrlib").search(s)
+        if bzrlib_match:
+            sys.path.append(bzrlib_match.group(1))
         else:
             print >>sys.stderr, "Can't find bzrlib location"
             sys.exit(1)

=== modified file 'olive.glade'
--- olive.glade	2007-08-10 10:45:06 +0000
+++ olive.glade	2007-08-12 16:15:03 +0000
@@ -190,7 +190,7 @@
                         <child internal-child="image">
                           <widget class="GtkImage" id="image243">
                             <property name="visible">True</property>
-                            <property name="pixbuf">pull16.png</property>
+                            <property name="pixbuf">icons/pull16.png</property>
                           </widget>
                         </child>
                       </widget>
@@ -204,7 +204,7 @@
                         <child internal-child="image">
                           <widget class="GtkImage" id="image244">
                             <property name="visible">True</property>
-                            <property name="pixbuf">push16.png</property>
+                            <property name="pixbuf">icons/push16.png</property>
                           </widget>
                         </child>
                       </widget>
@@ -239,7 +239,7 @@
                         <child internal-child="image">
                           <widget class="GtkImage" id="image245">
                             <property name="visible">True</property>
-                            <property name="pixbuf">commit16.png</property>
+                            <property name="pixbuf">icons/commit16.png</property>
                           </widget>
                         </child>
                       </widget>
@@ -301,7 +301,7 @@
                         <child internal-child="image">
                           <widget class="GtkImage" id="image246">
                             <property name="visible">True</property>
-                            <property name="pixbuf">diff16.png</property>
+                            <property name="pixbuf">icons/diff16.png</property>
                           </widget>
                         </child>
                       </widget>
@@ -315,7 +315,7 @@
                         <child internal-child="image">
                           <widget class="GtkImage" id="image247">
                             <property name="visible">True</property>
-                            <property name="pixbuf">log16.png</property>
+                            <property name="pixbuf">icons/log16.png</property>
                           </widget>
                         </child>
                       </widget>

=== modified file 'olive/info_helper.py'
--- olive/info_helper.py	2007-04-19 21:35:53 +0000
+++ olive/info_helper.py	2007-08-12 21:14:51 +0000
@@ -20,11 +20,33 @@
 
 import bzrlib
 
-import bzrlib.osutils as osutils
+from bzrlib import (
+    bzrdir,
+    diff,
+    errors,
+    osutils,
+    urlutils,
+    )
 
-from bzrlib.info import _repo_rel_url
 from bzrlib.missing import find_unmerged
 
+def _repo_rel_url(repo_url, inner_url):
+    """Return path with common prefix of repository path removed.
+
+    If path is not part of the repository, the original path is returned.
+    If path is equal to the repository, the current directory marker '.' is
+    returned.
+    Otherwise, a relative path is returned, with trailing '/' stripped.
+    """
+    inner_url = urlutils.normalize_url(inner_url)
+    repo_url = urlutils.normalize_url(repo_url)
+    if inner_url == repo_url:
+        return '.'
+    result = urlutils.relative_url(repo_url, inner_url)
+    if result != inner_url:
+        result = result.rstrip('/')
+    return result
+
 def get_location_info(repository, branch=None, working=None):
     """ Get known locations for working, branch and repository.
     

